%define	snap	20041127
%define	rname	libedit
%define	version	2.9
%define	release	0.%{snap}.3mdk

%define	major	0
%define libname	%mklibname edit %{major}

Summary:	The NetBSD Editline library (libedit)
Name:		%{libname}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Libraries
URL:		http://www.thrysoee.dk/editline/
Source0:	http://www.thrysoee.dk/editline/%{rname}-%{snap}-%{version}.tar.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.8
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is an autotool- and libtoolized port of the NetBSD Editline
library (libedit). This Berkeley-style licensed command line
editor library provides generic line editing, history, and
tokenization functions, similar to those found in GNU Readline.

%package	devel
Summary:	Development files for %{rname}
Group:		Development/C
Obsoletes:	edit-devel %{rname}-devel
Provides:	edit-devel %{rname}-devel
Requires:	%{name} = %{version}-%{release}
Requires:	gpm-devel
Requires:	ncurses-devel

%description	devel
This is an autotool- and libtoolized port of the NetBSD Editline
library (libedit). This Berkeley-style licensed command line
editor library provides generic line editing, history, and
tokenization functions, similar to those found in GNU Readline.

This package contains development files for %{rname}.

%prep

%setup -q -n %{rname}-%{snap}-%{version}

%build
#export WANT_AUTOCONF_2_5=1
#touch ./mkinstalldirs
#libtoolize --copy --force && aclocal-1.8 && autoconf && automake-1.8 --foreign

%configure2_5x

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# fix one conflicting manpage with readline-devel
rm -f %{buildroot}%{_mandir}/man3/history.3
ln -s editline.3 %{buildroot}%{_mandir}/man3/%{rname}-history.3

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL THANKS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc examples/*.c
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*
%{_mandir}/man5/*
      
%changelog
* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20041127.3mdk
- drop the readline-devel conflict as it brought circular dependencies hell

* Mon Jan 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20041127.2mdk
- add a conflict on readline-devel, as this one seems to be picked up first 
  if installed, when for example building postgresql, honeyd, etc.

* Tue Nov 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20041127.1mdk
- 20041127

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20041014.1mdk
- 20041014
- drop P0, it's implemented upstream

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.2mdk
- fix funny naming

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.1mdk
- hack the soname

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.3mdk
- fix one conflicting manpage with readline-devel

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.2mdk
- make it compile on 10.0 too

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.1mdk
- initial mandrake package
